zkey requires a new system group

Bug #1794290 reported by Dimitri John Ledkov on 2018-09-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Canonical Foundations Team
s390-tools (Ubuntu)
Undecided
Unassigned

Bug Description

------- Comment From <email address hidden> 2018-08-31 10:03 EDT-------
IBM will not add this systemd update into the s390tools package.

Please use this as a pattern for implementation. Many thx in advance

Example for an RPM, which need to be adapted to DEB packages.

The RPM spec file should have the following statements at the desired places:

%pre base
# check for zkeyadm group and create it
getent group zkeyadm > /dev/null || groupadd -r zkeyadm

%files base
....
%dir %attr(0770,root,zkeyadm) %{_sysconfdir}/zkey
%dir %attr(0770,root,zkeyadm) %{_sysconfdir}/zkey/repository

Changed in s390-tools (Ubuntu):
milestone: none → ubuntu-18.10
Frank Heimes (fheimes) on 2018-09-25
Changed in ubuntu-z-systems:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Canonical Foundations Team (canonical-foundations)
bugproxy (bugproxy) on 2018-09-25
tags: added: architecture-s39064 bugnameltc-171715 severity-high targetmilestone-inin1810
tags: added: id-5baa3406a7542b61ae656894
tags: added: id-5baa55e4d87b7f7b41b1d960
Changed in s390-tools (Ubuntu):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package s390-tools - 2.6.0-0ubuntu6

---------------
s390-tools (2.6.0-0ubuntu6) cosmic; urgency=medium

  * Add a zkeyadm group, and make it own the default zkey repository
    directories. LP: #1794290
  * Cherrypick zdev initramfs hook rename
  * Cherrypick zkey initramfs hook LP: #1794346
  * Make zkey package activate update-initramfs trigger

 -- Dimitri John Ledkov <email address hidden> Tue, 02 Oct 2018 14:15:29 +0100

Changed in s390-tools (Ubuntu):
status: In Progress → Fix Released
Frank Heimes (fheimes) on 2018-10-04
Changed in ubuntu-z-systems:
status: Triaged → Fix Released

------- Comment From <email address hidden> 2018-10-17 05:57 EDT-------
IBM bugzilla status -> closed, Fix Released for Cosmic

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers